### Class

# Ide Location

#### Description

    class Ide.Location : GObject.Object {
      parent_instance: GObject
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### ide_location_new

No description available.

###### ide_location_new_from_variant

Creates a new `IdeLocation` using the serialized form from a previously serialized `GVariant`.

Available since: 3.32

###### ide_location_new_with_offset

No description available.

Available since: 3.32

#### Instance methods

###### ide_location_compare

No description available.

###### ide_location_dup

Makes a deep copy of `self`.

Available since: 3.32

###### ide_location_get_file

Gets the file within the location.

Available since: 3.32

###### ide_location_get_line

Gets the line within the `IdeLocation:file`, or -1 if it is unknown.

Available since: 3.32

###### ide_location_get_line_offset

Gets the offset within the `IdeLocation:line`, or -1 if it is unknown.

Available since: 3.32

###### ide_location_get_offset

Gets the offset within the file in characters, or -1 if it is unknown.

Available since: 3.32

###### ide_location_hash

No description available.

###### ide_location_to_variant

Serializes the location into a variant that can be used to transport across IPC boundaries.

Available since: 3.32

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Ide.Location:file

No description available.

###### Ide.Location:line

No description available.

###### Ide.Location:line-offset

No description available.

###### Ide.Location:offset

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct IdeLocationClass {
      GObjectClass parent_class;

    }

###### Class members

`parent_class` |
    GObjectClass
| No description available.